%define rel 3
Name: pokerth
Summary: PokerTH - play Texas Holdem Poker alone or online
Version: 1.0
Release: %mkrel %{rel}
License: GPLv2+
Group: Games/Cards
URL: http://www.pokerth.net/
Source0: http://downloads.sourceforge.net/pokerth/PokerTH-%{version}-src.tar.bz2
Patch0: PokerTH-0.9.1-libircclient-dir.patch
Patch1: PokerTH-0.9.1-link.patch
BuildRequires: pkgconfig(protobuf)
BuildRequires: pkgconfig(QtCore) < 5.0.0
BuildRequires: pkgconfig(gnutls)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(libgsasl)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: libgcrypt-devel
BuildRequires: boost-devel
BuildRequires: SDL_mixer1.2-devel
BuildRequires: tinyxml-devel
BuildRequires: libircclient-static-devel

%description
PokerTH is a multi-platform poker game.
It allows you to play the popular "Texas Hold'em" poker variant against up to 
six computer-opponents or play network games with people all over the world.

%package server
Summary: PokerTH server
Group: Games/Cards

%description server
PokerTH server.

%prep
%setup -q -n PokerTH-%{version}-src
%patch0 -p0
%patch1 -p0

%build
%qmake_qt4 pokerth.pro
%make

%install
%__rm -rf %{buildroot}
#data
%make INSTALL_ROOT=%{buildroot} install
#binaries
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}/
install -m 755 bin/%{name}_server %{buildroot}%{_bindir}/
#man page
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 docs/%{name}.1 %{buildroot}%{_mandir}/man1/
#icon
install -d -m 755 %{buildroot}%{_iconsdir}
install -m 644 %{name}.png %{buildroot}%{_iconsdir}/%{name}.png
#menu
install -d -m 755 %{buildroot}%{_datadir}/applications/
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc ChangeLog docs/gui_styling_howto.txt
%attr(0755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png

%files server
%defattr(0644,root,root,0755)
%doc ChangeLog COPYING docs/server_setup_howto.txt
%attr(0755,root,root) %{_bindir}/%{name}_server


%changelog

* Thu Apr 11 2013 malo <malo> 1.0-3.mga3
+ Revision: 409480
- rebuild for boost 1.53

* Sun Apr 07 2013 mikala <mikala> 1.0-2.mga3
+ Revision: 408944
- Bump release to ease upgrade for mga2

* Sun Apr 07 2013 mikala <mikala> 1.0-1.mga3
+ Revision: 408668
- Update tarball to 1.0
- Use pkgconfig() for BR when it's possible

* Sun Jan 13 2013 umeabot <umeabot> 0.9.5-4.mga3
+ Revision: 378019
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.9.5-3.mga3
+ Revision: 333060
- rebuild for new boost

* Tue Jul 31 2012 fwang <fwang> 0.9.5-2.mga3
+ Revision: 276594
- use default filesystem version
- rebuild for new boost
- new version 0.9.5

* Tue Jun 19 2012 fwang <fwang> 0.9.4-1.mga3
+ Revision: 261873
- new version 0.9.4

* Wed May 30 2012 fwang <fwang> 0.9.1-2.mga3
+ Revision: 249635
- rebuild for new icu

* Fri Jan 20 2012 fwang <fwang> 0.9.1-1.mga2
+ Revision: 198631
- update file list
- apply link fix
- more fix
- try fixiing linking order
- fix linkage
- use current libircclinet dir
- br ircclient
- brsqlite3
- new version 0.9

* Mon Nov 28 2011 fwang <fwang> 0.8.3-5.mga2
+ Revision: 173616
- rebuild for new boost
- rebuild for new boost

* Wed Jun 22 2011 fwang <fwang> 0.8.3-3.mga2
+ Revision: 111821
- use boost_filesyste v2
- br gcrypt
- rebuild for new gnutls

* Fri Mar 11 2011 mikala <mikala> 0.8.3-2.mga1
+ Revision: 68133
- Remove BuildRoot
- Drop mdk macros
- imported package pokerth


* Tue Feb 08 2011 John Balcaen <mikala@mandriva.org> 0.8.3-1mdv2011.0
+ Revision: 636920
- Update to 0.8.3

* Thu Oct 14 2010 John Balcaen <mikala@mandriva.org> 0.8.1-1mdv2011.0
+ Revision: 585594
- Update to 0.8.1

* Mon Sep 27 2010 John Balcaen <mikala@mandriva.org> 0.8-1mdv2011.0
+ Revision: 581409
- Update to 0.8
- add buildrequires for libgsasl-devel

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.7.1-4mdv2011.0
+ Revision: 565997
- rebuild for new boost

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.7.1-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 0.7.1-2mdv2010.0
+ Revision: 418866
- rebuild for new libboost

* Fri Jun 26 2009 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2010.0
+ Revision: 389335
- New version 0.7.1

* Mon May 04 2009 Funda Wang <fwang@mandriva.org> 0.7-1mdv2010.0
+ Revision: 371745
- New version 0.7

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.3-2mdv2009.1
+ Revision: 354300
- rebuild for new boost

* Sun Jan 04 2009 Guillaume Bedot <littletux@mandriva.org> 0.6.3-1mdv2009.1
+ Revision: 324392
- New release 0.6.3.

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 0.6.2-6mdv2009.1
+ Revision: 316561
- rebuild for new boost

* Tue Aug 19 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.2-5mdv2009.0
+ Revision: 273511
- rebuild against new boost

* Mon Aug 18 2008 Funda Wang <fwang@mandriva.org> 0.6.2-4mdv2009.0
+ Revision: 273426
- BR new boost

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 0.6.2-3mdv2009.0
+ Revision: 263958
- build server with server opts

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 0.6.2-2mdv2009.0
+ Revision: 263949
- specify qtdir using macro
- compile with new compile flags

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu May 29 2008 David Walluck <walluck@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 212877
- BuildRequires: curl-devel
- no need for n flag on subpackage
- 0.6.2
- remove overloaded macros
- fix License
- BuildRequires: gnutls-devel now instead of openssl-devel
- remove rpath from binaries
- fix manpage location
- call update-desktop-database
- fix eol in net_protocol.txt

* Wed Mar 26 2008 Guillaume Bedot <littletux@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 190340
- 0.6.1
- dropped obsolete patch
- added an icon

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Thu Dec 20 2007 Guillaume Bedot <littletux@mandriva.org> 0.6-2mdv2008.1
+ Revision: 135889
- Fix perms
- Allow license to be displayed

* Tue Dec 18 2007 Guillaume Bedot <littletux@mandriva.org> 0.6-1mdv2008.1
+ Revision: 131979
- import pokerth


* Mon Dec 17 2007 Guillaume Bedot <littletux@zarb.org> 0.6-1mdv2008.1
- First package of PokerTH for MandrivaLinux, thanks to William Rod.
